SystemOrganization addCategory: #ConfigurationOfDaliotsPlayground!

!MetacelloMCVersion methodsFor: '*ConfigurationOfDaliotsPlayground' stamp: 'HwaJong 10/17/2013 15:22'!
loadPackageFromUser
	| packages usersPackageIndex |
	packages := spec packageNames asSortedCollection.
	usersPackageIndex := UIManager default chooseFrom: packages title: 'package to load'.
	usersPackageIndex > 0 ifTrue: [(packages at: usersPackageIndex) loadRequiredForMetacelloMCVersion: self]
	! !

!MetacelloMCVersion methodsFor: '*ConfigurationOfDaliotsPlayground' stamp: 'HwaJong 10/17/2013 18:51'!
loadUnloadedPackageFromUser
	| packages usersPackageIndex loader unloadedSpecs mcLoader |
	loader := MetacelloMCVersionSpecLoader on: self spec.
	loader required: (self specNames).
	loaderPolicy notNil ifTrue: [ loader loaderPolicy: loaderPolicy ].
	loader resolvePackageNames.
	loader resolveToLoadableSpecs.
	mcLoader := loader loader.
			loader packages values do: [:pkg | 
				pkg ensureLoadedForDevelopmentUsing: mcLoader.
				mcLoader ignoreImage ifFalse: [(pkg 
					compareCurrentVersion: loader operator 
					targetVersionStatus: #(allLoadedToSpec) 
					using: mcLoader) 
						ifTrue: [ loader packages removeKey: pkg name ]]].
	unloadedSpecs := mcLoader spec packageSpecsInLoadOrder.
	packages := (unloadedSpecs collect: #name) asSortedCollection.
	usersPackageIndex := UIManager default chooseFrom: packages title: 'package to load from unloaded packages'.
	usersPackageIndex > 0 ifTrue: [(packages at: usersPackageIndex) loadRequiredForMetacelloMCVersion: self]
	! !

!MetacelloMCVersion methodsFor: '*ConfigurationOfDaliotsPlayground' stamp: 'HwaJong 10/17/2013 18:53'!
specNames
	|names|
	names := OrderedCollection new.
	self spec projectDo: [:pr| names add: pr name] packageDo: [:pk| names add: pk name] groupDo: [:gp| names add: gp name ].
	^names! !

Object subclass: #BaselineItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

BaselineItem subclass: #AniBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!AniBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!AniBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 12:59'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'SortDescriptors'. 'LazyRabbit'. 'Daliot'}! !

!AniBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 12:59'!
mczVersionNameFromMetacelloVersionString: aString
	^'Ani-HwaJong.46'! !

BaselineItem subclass: #AppleScriptProgrammerBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!AppleScriptProgrammerBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!AppleScriptProgrammerBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:01'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'DependencySorter'}! !

!AppleScriptProgrammerBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:02'!
mczVersionNameFromMetacelloVersionString: aString
	^'AppleScriptProgrammer-hjo.13'! !

!BaselineItem class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:27'!
concreteSubclasses
	^self allSubclasses copyWithoutAll: { StandAloneBaselineItem }! !

!BaselineItem class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:12'!
defineSpec: spec forBaselineVersionString: aString 
	spec package: self packageName with: [spec requires: (self dependingOnForVersion: aString)].! !

!BaselineItem class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:46'!
defineSpec: spec withVersionString: aString 
	spec package: self packageName with: (self mczVersionNameFromMetacelloVersionString: aString).! !

!BaselineItem class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:06'!
packageName
	| index |
	index := self className indexOfSubCollection: self postFix.
	^self className first: index-1! !

!BaselineItem class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:04'!
postFix

	^'BI'! !

BaselineItem subclass: #BinarySearchBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!BinarySearchBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!BinarySearchBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:17'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'NumericalError'}! !

!BinarySearchBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:17'!
mczVersionNameFromMetacelloVersionString: aString
	^'BinarySearch-HwaJong.9'! !

BaselineItem subclass: #BlackBoxParserBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!BlackBoxParserBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!BlackBoxParserBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:13'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'HashProof'}! !

!BlackBoxParserBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:15'!
mczVersionNameFromMetacelloVersionString: aString
	^'BlackBoxParser-hjo.12'! !

BaselineItem subclass: #BloodTypeBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!BloodTypeBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!BloodTypeBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:19'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'MultiDimensionalEnumeration'}! !

!BloodTypeBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:20'!
mczVersionNameFromMetacelloVersionString: aString
	^'BloodType-hjo.2'! !

BaselineItem subclass: #CopyHierarchyBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!CopyHierarchyBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!CopyHierarchyBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:25'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'MoveClass'}! !

!CopyHierarchyBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:26'!
mczVersionNameFromMetacelloVersionString: aString
	^'CopyHierarchy-HwaJong.14'! !

BaselineItem subclass: #CroquisBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!CroquisBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!CroquisBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:27'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'MoveClass'}! !

!CroquisBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:27'!
mczVersionNameFromMetacelloVersionString: aString
	^'Croquis-HwaJong.16'! !

BaselineItem subclass: #DaliotBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!DaliotBI commentStamp: '' prior: 0!
A GraphBI is xxxxxxxxx.
!

!DaliotBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:28'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'CoolEnumerations'}! !

!DaliotBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:29'!
mczVersionNameFromMetacelloVersionString: aString
	^'Daliot-HwaJong.144'! !

BaselineItem subclass: #GraphBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!GraphBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:08'!
dependingOnForVersion: aString
	| one |
	one := MetacelloVersionNumber fromString: aString.
	^{'HashProof'. 'SortDescriptors'. 'LazyRabbit'}! !

!GraphBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:48'!
mczVersionNameFromMetacelloVersionString: aString
	^'Graph-HwaJong.19'! !

BaselineItem subclass: #StandAloneBaselineItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

StandAloneBaselineItem subclass: #AllBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!AllBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!AllBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 04:19'!
mczVersionNameFromMetacelloVersionString: aString
	^'All-HwaJong.2'! !

StandAloneBaselineItem subclass: #ArtificalMouseClickBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!ArtificalMouseClickBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!ArtificalMouseClickBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:09'!
mczVersionNameFromMetacelloVersionString: aString
	^'ArtificalMouseClick-HwaJong.2'! !

StandAloneBaselineItem subclass: #BarnSwallowBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!BarnSwallowBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!BarnSwallowBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:11'!
mczVersionNameFromMetacelloVersionString: aString
	^'BarnSwallow-HwaJong.1'! !

StandAloneBaselineItem subclass: #CenterStringBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!CenterStringBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!CenterStringBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:24'!
mczVersionNameFromMetacelloVersionString: aString
	^'CenterString-HwaJong.2'! !

StandAloneBaselineItem subclass: #ChooseOrEnterBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!ChooseOrEnterBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!ChooseOrEnterBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:29'!
mczVersionNameFromMetacelloVersionString: aString
	^'ChooseOrEnter-HwaJong.3'! !

StandAloneBaselineItem subclass: #ClassFilterBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!ClassFilterBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!ClassFilterBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 13:35'!
mczVersionNameFromMetacelloVersionString: aString
	^'ClassFilter-HwaJong.6'! !

StandAloneBaselineItem subclass: #CoolEnumerationsBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!CoolEnumerationsBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!CoolEnumerationsBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 14:24'!
mczVersionNameFromMetacelloVersionString: aString
	^'CoolEnumerations-HwaJong.1'! !

StandAloneBaselineItem subclass: #GlueGunBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!GlueGunBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!GlueGunBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 04:00'!
mczVersionNameFromMetacelloVersionString: aString
	^'GlueGun-HwaJong.6'! !

StandAloneBaselineItem subclass: #HashProofBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!HashProofBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:44'!
mczVersionNameFromMetacelloVersionString: aString
	^'HashProof-HwaJong.9'! !

StandAloneBaselineItem subclass: #LazyRabbitBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!LazyRabbitBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!LazyRabbitBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 04:02'!
mczVersionNameFromMetacelloVersionString: aString
	^'LazyRabbit-HwaJong.35'! !

StandAloneBaselineItem subclass: #SortDescriptorsBI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!SortDescriptorsBI commentStamp: '' prior: 0!
A HashProofBI is xxxxxxxxx.
!

!SortDescriptorsBI class methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 03:54'!
mczVersionNameFromMetacelloVersionString: aString
	^'SortDescriptors-HwaJong.12'! !

!StandAloneBaselineItem classSide methodsFor: 'as yet unclassified' stamp: 'HwaJong 2/12/2014 04:23'!
dependingOnForVersion: aString
	^{}! !

Object subclass: #ConfigurationOfDaliotsPlayground
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDaliotsPlayground'!

!ConfigurationOfDaliotsPlayground class methodsFor: 'private' stamp: 'hjo 7/3/2011 02:51'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'private' stamp: 'hjo 7/3/2011 02:51'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'hjo 7/3/2011 02:51'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'hjo 7/3/2011 02:51'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'loading' stamp: 'hjo 7/3/2011 02:51'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'hjo 7/3/2011 02:51'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'accessing' stamp: 'hjo 7/3/2011 02:51'!
project

	^self new project! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'HwaJong 12/23/2013 17:09'!
update

	Gofer new
		repository: (MCHttpRepository
	location: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main');
		package: 'GlueGun';
		package: 'ConfigurationOfDaliotsPlayground';
		load.! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'HwaJong 9/21/2013 10:55'!
validate 
	self validateDaleStyle.
	self validateFailingVersionsAndWhy.! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'HwaJong 9/21/2013 10:54'!
validateDaleStyle
	(MetacelloToolBox validateConfiguration: self) explore.! !

!ConfigurationOfDaliotsPlayground class methodsFor: 'metacello tool support' stamp: 'HwaJong 9/21/2013 10:55'!
validateFailingVersionsAndWhy
	| failingVersionsAndWhy project |
	project := ConfigurationOfDaliotsPlayground project.
	failingVersionsAndWhy := OrderedCollection new.
	project versions do: [:each| [each printString] on: Error do: [:error| failingVersionsAndWhy add: (error messageText -> each versionNumber)]].
	failingVersionsAndWhy explore.! !

!ConfigurationOfDaliotsPlayground methodsFor: 'baselines' stamp: 'HwaJong 2/12/2014 14:28'!
baseline86: spec 
	| baselineVersionString |
	<version: '8.6-baseline'>
	baselineVersionString := self baselineVersionStringFromMethodContext: thisContext.
	spec for: #common do: [
		self baselineClasses do: [:each| each defineSpec: spec forBaselineVersionString: baselineVersionString ].
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main'.
		spec package: 'DaliotsMappers' with: [spec requires: 'Range'].
		spec package: 'DefragFAT' with: [spec requires: {'Range'. 'Daliot'}].
		spec package: 'DependencySorter' with: [spec requires: 'LazyRabbit'].
		spec package: 'Deprecator'.
		spec package: 'DevPacerCommon' with: [spec requires: {'DevHelpersBase'. 'Ani'}].
		spec group: 'DevHelpers' with: {'DevPacer'. 'CopyHierarchy'. 'Sieve'. 'SourceCodeTourGuide'}.
		spec package: 'DevHelpersBase'.
		spec package: 'DiceRoller' with: [spec requires: {'BlackBoxParser'. 'CoolEnumerations'}].
		spec package: 'DijEvolution' with: [spec requires: {'SortDescriptors'}].
		spec package: 'Distinction'.
		spec package: 'DocumentLogic'.
		spec package: 'FastDetector' with: [spec requires: 'LazyRabbit'].
		spec package: 'InteractiveBisect' with: [spec requires: 'LazyRabbit'].
		spec package: 'ImageFamilyTree' with: [spec requires: 'BinarySearch'].
		spec package: 'J' with: [spec requires: {'MultiQuoAndRem'. 'HashProof'. 'Daliot'}].
		spec package: 'Jihachol' with: [spec requires: {'StatPseudoCollections' . 'LazyRabbit' . 'MaxClub' . 'Graph'. 'MultiDimensionalEnumeration'}].
		spec package: 'LearnCanvas'.
		spec package: 'MaxClub'.
		spec package: 'MorphoPhysics' with: [spec requires: 'LazyRabbit'].
		spec package: 'MoveClass'.
		spec package: 'MultiQuoAndRem'.
		spec package: 'MultiDimensionalEnumeration' with: [spec requires: {'MultiQuoAndRem'. 'LazyRabbit'}].
		spec package: 'NumericalError'.
		spec package: 'ObjectDiff' with: [spec requires: 'LazyRabbit'].
		spec package: 'ObjectSheet' with: [spec requires: {'LazyRabbit'. 'WaffleLayout'}].
		spec package: 'PCube' with: [spec requires: 'MaxClub'].
		spec package: 'Plotter' with: [spec requires: {'DaliotsMappers'. 'Daliot'. 'LazyRabbit'}].
		spec package: 'PocketCube' with: [spec requires: {'HashProof'. 'LazyRabbit'. 'WaffleLayout'. 'DijEvolution'}].
		spec package: 'PhileasFogg' with: [spec requires: {'LazyRabbit'. 'SortDescriptors'. 'UndoRedo'}].
		spec package: 'ProgressReporterMorph' with: [spec requires: 'QuickPrototyping'].
		spec package: 'Prolog' with: [spec requires: {'HashProof'. 'MultiDimensionalEnumeration'}].
		spec package: 'PullUpToSuperclass' with: [spec requires: 'MoveClass'].
		spec package: 'QuantumLogic' with: [spec requires: {'HashProof'. 'CoolEnumerations'. 'MultiDimensionalEnumeration'}].
		spec package: 'QuickPrototypingCommon'.
		spec package: 'Range' with: [spec requires: {'SortDescriptors'. 'HashProof'}].
		spec package: 'Ranking' with: [spec requires: {'SortDescriptors'}].
		spec package: 'RemoveClassSafely'.
		spec package: 'Roulette' with: [spec requires: {'SortDescriptors'}].
		"spec package: 'Samgukji2Assist' with: [spec requires: #('HashProof' 'QuickPrototyping' 'MailSortingOffice' 'LazyRabbit' 'TGListModel' 'SortDescriptors' 'PrintingDifferently' 'Graph')]."
		spec package: 'SeqColSnake'.
		spec package: 'SieveCommon' with: [spec requires: {'All'. 'DevHelpersBase'. 'SortDescriptors'. 'Daliot'. 'ClassFilter'. 'TGListModel'. 'LazyRabbit'. 'StatisticalObjects'. 'GlueGun'}].
		spec package: 'SketchupRuby' with: [spec requires: 'DependencySorter'].
		spec package: 'SmalltalkQuiz' with: [spec requires: {'Distinction'}].
		spec package: 'SourceCodeTourGuideCommon' with: [spec requires: {'DevHelpersBase'. 'Daliot'. 'TGListModel'. 'ChooseOrEnter'. 'HashProof'. 'DocumentLogic'. 'LazyRabbit'}].
		spec package: 'SourceCodeTourGuideOmniBrowser' with: [spec requires: 'SourceCodeTourGuideCommon'].
		spec group: 'SourceCodeTourGuideCore' with: {'SourceCodeTourGuideCommon'}.
		spec for: #OB do: [spec group: 'SourceCodeTourGuideCore' with: {'SourceCodeTourGuideOmniBrowser'}].
		spec package: 'StatisticalObjects' with: [spec requires: {'NumericalError'. 'LazyRabbit'. 'Range'}].
		spec package: 'StatPseudoCollections' with: [spec requires: {'MultiQuoAndRem'. 'Daliot'}].
		spec package: 'TaxReport' with: [spec requires: {'ChooseOrEnter'}].
		spec package: 'TechnologyTreeOptimizationOfTheCivilizationRevolution' with: [spec requires: {'DependencySorter'. 'HashProof'. 'SortDescriptors'}].
		spec package: 'TestableGraphics'.
		spec package: 'TGListModel'.
		spec package: 'TimeComputer' with: [spec requires: {'TGListModel'. 'QuickPrototyping'. 'LazyRabbit'}].
		spec package: 'UndoRedo' with: [spec requires: 'LazyRabbit'].
		spec package: 'Unification' with: [spec requires: 'ClassFilter'].
		spec package: 'WaffleLayout' with: [spec requires: {'Range'. 'LazyRabbit'}].
		spec package: 'WoodCutPictures' with: [spec requires: 'TestableGraphics'].
		spec package: 'WorkPlayRatioScheduler' with: [spec requires: {'WaffleLayout'. 'LazyRabbit'. 'CenterString'}]
		].
	spec for: #'pharo2.0.x' do: [
		spec package: 'DevPacerPharo20'.
		spec group: 'DevPacer' with: {'DevPacerPharo20'. 'DevPacerCommon'}.
		spec package: 'QuickPrototypingPharo20'.
		spec group: 'QuickPrototyping' with: {'QuickPrototypingCommon'. 'QuickPrototypingPharo20'}.
		spec package: 'SievePharo20'.
		spec group: 'Sieve' with: {'SieveCommon'. 'SievePharo20'}.
		spec group: 'SourceCodeTourGuide' with: {'SourceCodeTourGuideCore'}.
		].
	spec for: #'pharo3.0.x' do: [
		spec package: 'DevPacerPharo20'.
		spec group: 'DevPacer' with: {'DevPacerPharo20'. 'DevPacerCommon'}.
		spec package: 'QuickPrototypingPharo20'.
		spec group: 'QuickPrototyping' with: {'QuickPrototypingCommon'. 'QuickPrototypingPharo20'}.
		spec package: 'SievePharo20'.
		spec group: 'Sieve' with: {'SieveCommon'. 'SievePharo20'}.
		spec group: 'SourceCodeTourGuide' with: {'SourceCodeTourGuideCore'}.
		].! !

!ConfigurationOfDaliotsPlayground methodsFor: 'accessing' stamp: 'HwaJong 2/12/2014 13:27'!
baselineClasses
	^BaselineItem concreteSubclasses! !

!ConfigurationOfDaliotsPlayground methodsFor: 'accessing' stamp: 'HwaJong 2/12/2014 03:30'!
baselineVersionStringFromMethodContext: aMethodContext

	^(aMethodContext method pragmas detect: [ :ea| ea key = #version: ]) arguments anyOne! !

!ConfigurationOfDaliotsPlayground methodsFor: 'attributes' stamp: 'hjo 8/2/2012 10:45'!
customProjectAttributes

	Smalltalk at: ##OBCodeBrowser ifPresent: [:ignored | ^#(#OB) ].
    ^#()! !

!ConfigurationOfDaliotsPlayground methodsFor: 'script' stamp: 'HwaJong 10/26/2013 02:15'!
disintegrateDevPacerFromTheSystem
	#PacerBase ifGlobalExistThenPerform: #disintegratePacersFromTheSystem! !

!ConfigurationOfDaliotsPlayground methodsFor: 'script' stamp: 'HwaJong 10/26/2013 02:15'!
integrateDevPacerToTheSystem
	#PacerBase ifGlobalExistThenPerform: #integratePacersToTheSystem! !

!ConfigurationOfDaliotsPlayground methodsFor: 'accessing' stamp: 'hjo 8/2/2012 12:40'!
project
    ^ project
        ifNil: [ 
            "Bootstrap Metacello if it is not already loaded"
            self class ensureMetacello.
            project := MetacelloMCProject new projectAttributes: self customProjectAttributes.	"Create the Metacello project"
            (Smalltalk at: #'MetacelloVersionConstructor') on: self project: project.	"Construct the project"
            project loadType: #'linear'.	"change to #atomic if desired"
            project ]! !

!ConfigurationOfDaliotsPlayground methodsFor: 'versions' stamp: 'HwaJong 2/12/2014 14:29'!
version210: spec 
	| vs |
	<version: '21.0' imports: #('8.6-baseline') >
	" 12 February 2014"
	vs := self versionStringFromMethodContext: thisContext.
	spec for: #common do: [
		spec blessing: #development.
		self baselineClasses do: [:each | each defineSpec: spec withVersionString: vs ].
		spec package: 'BetterArgumentNameByDebugger' with: 'BetterArgumentNameByDebugger-HwaJong.3'.
		spec package: 'BetterMethodCategory' with: 'BetterMethodCategory-HwaJong.1'.
		spec package: 'DaliotsMappers' with: 'DaliotsMappers-HwaJong.8'.
		spec package: 'DefragFAT' with: 'DefragFAT-hjo.50'.
		spec package: 'DependencySorter' with: 'DependencySorter-hjo.3'.
		spec package: 'Deprecator' with: 'Deprecator-HwaJong.2'.
		spec package: 'DevHelpersBase' with: 'DevHelpersBase-HwaJong.1'.
		spec package: 'DevPacerCommon' 
			with: 
				[spec preLoadDoIt: #disintegrateDevPacerFromTheSystem.
				spec file: 'DevPacerCommon-HwaJong.56'].
		spec package: 'DiceRoller' with: 'DiceRoller-hjo.3'.
		spec package: 'DijEvolution' with: 'DijEvolution-HwaJong.27'.
		spec package: 'Distinction' with: 'Distinction-HwaJong.2'.
		spec package: 'DoNCollectN' with: 'DoNCollectN-HwaJong.1'.
		spec package: 'DocumentLogic' with: 'DocumentLogic-HwaJong.25'.
		spec package: 'FastDetector' with: 'FastDetector-HwaJong.2'.
		spec package: 'Figures' with: 'Figures-HwaJong.1'.
		spec package: 'Grooming' with:  'Grooming-HwaJong.2'.
		spec package: 'HangmanRescue' with:  'HangmanRescue-hjo.1'.
		spec package: 'ImageFamilyTree' with: 'ImageFamilyTree-HwaJong.28'.
		spec package: 'ImageFootprint' with: 'ImageFootprint-HwaJong.16'.
		spec package: 'InteractiveBisect' with: 'InteractiveBisect-HwaJong.13'.
		spec package: 'J' with:  'J-HwaJong.4'.
		spec package: 'Jihachol' with:  'Jihachol-HwaJong.37'.
		LazyRabbitBI defineSpec: spec withVersionString: vs.
		spec package: 'LearnCanvas' with:  'LearnCanvas-HwaJong.7'.
		spec package: 'MaxClub' with:  'MaxClub-hjo.8'.
		spec package: 'MorphoPhysics' with:  'MorphoPhysics-HwaJong.33'.
		spec package: 'MoveClass' with: 'MoveClass-HwaJong.1'.
		spec package: 'MultiDimensionalEnumeration' with:  'MultiDimensionalEnumeration-HwaJong.12'.
		spec package: 'MultiQuoAndRem' with:  'MultiQuoAndRem-HwaJong.4'.
		spec package: 'NumericalError' with: 'NumericalError-HwaJong.1'.
		spec package: 'ObjectDiff' with: 'ObjectDiff-HwaJong.63'.
		spec package: 'ObjectSheet' with: 'ObjectSheet-HwaJong.20'.
		spec package: 'PCube' with:  'PCube-HwaJong.12'.
		spec package: 'PhileasFogg' with:  'PhileasFogg-hjo.36'.
		spec package: 'Plotter' with:  'Plotter-HwaJong.10'.
		spec package: 'PocketCube' with:  'PocketCube-HwaJong.175'.
		spec package: 'ProgressReporterMorph' with:  'ProgressReporterMorph-HwaJong.1'.
		spec package: 'Prolog' with:  'Prolog-HwaJong.19'.
		spec package: 'PullUpToSuperclass' with:  'PullUpToSuperclass-HwaJong.13'.
		spec package: 'QuantumLogic' with: 'QuantumLogic-HwaJong.37'.
		spec package: 'QuickPrototypingCommon' with: 'QuickPrototypingCommon-HwaJong.8'.
		spec package: 'Range' with: 'Range-HwaJong.20'.
		spec package: 'Ranking' with: 'Ranking-HwaJong.6'.
		spec package: 'RemoveClassSafely' with: 'RemoveClassSafely-HwaJong.2'.
		spec package: 'Roulette' with:  'Roulette-HwaJong.4'.
		spec package: 'SeqColSnake' with: 'SeqColSnake-HwaJong.1'.
		spec package: 'SieveCommon' with: 'SieveCommon-HwaJong.13'.
		spec package: 'SketchupRuby' with: 'SketchupRuby-hjo.3'.
		spec package: 'SmalltalkQuiz' with: 'SmalltalkQuiz-hjo.9'.
		spec package: 'SourceCodeTourGuideCommon' with: 'SourceCodeTourGuideCommon-HwaJong.69'.
		spec package: 'SourceCodeTourGuideOmniBrowser' with: 'SourceCodeTourGuideOmniBrowser-HwaJong.5'.
		spec package: 'StatPseudoCollections' with: 'StatPseudoCollections-HwaJong.2'.
		spec package: 'StatisticalObjects' with: 'StatisticalObjects-HwaJong.3'.
		spec package: 'TGListModel' with: 'TGListModel-HwaJong.21'.
		spec package: 'TaxReport' with: 'TaxReport-HwaJong.43'.
		spec package: 'TechnologyTreeOptimizationOfTheCivilizationRevolution' with: 'TechnologyTreeOptimizationOfTheCivilizationRevolution-HwaJong.5'.
		spec package: 'TestableGraphics' with: 'TestableGraphics-hjo.5'.
		spec package: 'TimeComputer' with: 'TimeComputer-HwaJong.1'.
		spec package: 'TinyTower' with: 'TinyTower-HwaJong.2'.
		spec package: 'UndoRedo' with: 'UndoRedo-HwaJong.2'.
		spec package: 'Unification' with: 'Unification-HwaJong.11'.
		spec package: 'WaffleLayout' with: 'WaffleLayout-HwaJong.19'.
		spec package: 'WoodCutPictures' with:  'WoodCutPictures-hjo.6'.
		spec package: 'WorkPlayRatioScheduler' with:  'WorkPlayRatioScheduler-HwaJong.13'.
		].
	spec for: #'pharo2.0.x' do: [
		spec package: 'DevPacerPharo20' with: 'DevPacerPharo20-HwaJong.5'.
		spec package: 'QuickPrototypingPharo20' with: 'QuickPrototypingPharo20-HwaJong.1'.
		spec package: 'SievePharo20' with: 'SievePharo20-HwaJong.1'.
		].
	spec for: #'pharo3.0.x' do: [
		spec package: 'DevPacerPharo20' with: 'DevPacerPharo20-HwaJong.5'.
		spec package: 'QuickPrototypingPharo20' with: 'QuickPrototypingPharo20-HwaJong.1'.
		spec package: 'SievePharo20' with: 'SievePharo20-HwaJong.1'.
		].! !

!ConfigurationOfDaliotsPlayground methodsFor: 'accessing' stamp: 'HwaJong 2/12/2014 03:39'!
versionStringFromMethodContext: aMethodContext

	^aMethodContext method pragmas anyOne arguments first! !
